package market.Com.mapper;
import java.util.List;

import market.Com.vo.SlmBaseAddAsk;
import market.Com.vo.TreeNode;

import org.apache.ibatis.annotations.Param;

import com.hnshituo.orm.GenericMapper;

public interface SlmBaseAddAskMapper extends GenericMapper<SlmBaseAddAsk,Object> {
	
	List<SlmBaseAddAsk> GetAskLeve2Info();
	
	//查询二级流水号
	public String getAsk_item_notwo(@Param("ask_p_item_no") String ask_p_item_no);
	
	//查询1级流水号
	String getAsk_item_no();
	
	//查询3级流水号
	public String getAsk_item_noTh(@Param("ask_p_item_no") String ask_p_item_no);
	
	//查询一级附加项
	List<SlmBaseAddAsk> doFindAsk(SlmBaseAddAsk a);
	
	//恢复数据
	void doUpdatehuif(String ask_item_no);
	
	//初始化树形图
	List<TreeNode> findComBaseInfo(SlmBaseAddAsk ask);
	
	//查询二三级数据
	List<SlmBaseAddAsk> doFindAsks(String ask_item_no,String validflag ,int pageindex,int pagesize,String ask_item_desc,String condition);
	
	//查询总数
	int getCount(String ask_item_no,String validflag,String ask_item_desc);
	
	//废除数据是查询在COM_BASE_ASK_R_STATION是否引用
	int GexYinY(String ask_item_no);

	//获取附加要求项
	List<SlmBaseAddAsk> GetRoot();
	
}
